# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   pythonProject1
# FileName:      conftest.py
# Author:       xxxxxxx
# Datetime:     2023/8/5 11:02
# Description:
# #号开头的代码表示注释信息
# ---------------------------------------------------------------------------
import pytest

from homewoke.接口pytest框架.common.read_db import DB
from homewoke.接口pytest框架.requests_method.requests_method import RequestsMethod


@pytest.fixture(scope="session")
def my_rep():
    rep = RequestsMethod()
    yield rep


@pytest.fixture(scope="session")
def db_fix():
    db = DB()
    yield db
    db.close_mysql()

def pytest_collection_modifyitems(items):
    # item表示每个测试用例，解决用例名称中文显示问题
    for item in items:
        item.name = item.name.encode("utf-8").decode("unicode-escape")
        item._nodeid = item._nodeid.encode("utf-8").decode("unicode-escape")
